Server Keys - List By Server
サーバー キーの一覧を取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys?api-version=2025-01-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前の大文字と小文字は区別されません。 |
|
server
|
path | True |
string |
サーバーの名前。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
Azureの運用は無事に完了しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 Flow.
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
List the server keys by server
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys?api-version=2025-01-01
応答のサンプル
{
"value": [
{
"name": "someVault_someKey_01234567890123456789012345678901",
"type": "Microsoft.Sql/servers/keys",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
"kind": "azurekeyvault",
"location": "Japan East",
"properties": {
"serverKeyType": "AzureKeyVault",
"creationDate": "2024-11-15T00:00:00Z",
"thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
}
},
{
"name": "myVault_myKey_11111111111111111111111111111111",
"type": "Microsoft.Sql/servers/keys",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/myVault_myKey_11111111111111111111111111111111",
"kind": "azurekeyvault",
"location": "Japan East",
"properties": {
"serverKeyType": "AzureKeyVault",
"creationDate": "2024-11-15T00:00:00Z",
"thumbprint": "AAAAAAAAAAAAAAABBBBBBBBBBBBBBBBBBBBBBBBB"
}
},
{
"name": "ServiceManaged",
"type": "Microsoft.Sql/servers/keys",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/ServiceManaged",
"kind": "servicemanaged",
"location": "Japan East",
"properties": {
"serverKeyType": "ServiceManaged"
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
|
created |
リソースを作成した ID の種類。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Server |
サーバー キー。 |
|
Server |
ServerKeyのリスト操作の応答。 |
|
Server |
"ServiceManaged"、"AzureKeyVault" などの暗号化保護機能の種類。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
ServerKey
サーバー キー。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
暗号化保護機能の種類。 これはAzureポータル体験で使用されるメタデータです。 |
| location |
string |
リソースの場所。 |
| name |
string |
リソースの名前 |
| properties.autoRotationEnabled |
boolean |
キー自動ローテーションオプトイン フラグ。 true または false のいずれか。 |
| properties.creationDate |
string (date-time) |
サーバー キーの作成日。 |
| properties.keyVersion |
string |
サーバー キーのバージョン。 |
| properties.serverKeyType |
"ServiceManaged"、"AzureKeyVault" などのサーバー キーの種類。 |
|
| properties.subregion |
string |
サーバー キーのサブ領域。 |
| properties.thumbprint |
string |
サーバー キーの拇印。 |
| properties.uri |
string |
サーバー キーの URI。 ServerKeyType が AzureKeyVault の場合は、URI が必要です。 AKV URI は、'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' または 'https://YourVaultName.vault.azure.net/keys/YourKeyName' の形式である必要があります。 |
| systemData |
create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」 |
ServerKeyListResult
ServerKeyのリスト操作の応答。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string (uri) |
項目の次のページへのリンク |
| value |
このページのServerKey項目 |
ServerKeyType
"ServiceManaged"、"AzureKeyVault" などの暗号化保護機能の種類。
| 値 | 説明 |
|---|---|
| ServiceManaged |
ServiceManaged |
| AzureKeyVault |
AzureKeyVault |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |